=== debian/changelog ===
deepin-deb-installer (6.0.19) unstable; urgency=medium

  * fix: Update qapt version check.
  * fix: Conflicts contain pkg name install failed.(Bug: 233895)

 -- renbin <renbin@uniontech.com> Tue, 12 Dec 2023 16:54:52 +0800

deepin-deb-installer (6.0.18) unstable; urgency=medium

  * fix: Fix package conflicts and replaces depends error.(Bug: 214693)(Influence: PackageInstall)
  * fix: Install wine package depends detection error.(Influence: Wine)
  * fix: Use depends package arch instead of deb file arch.(Bug: 220943)(Influence: DependsAnalysis)
  * fix: Check for dependency architecture error.(Bug: 220019)(Influence: Dependency)
  * fix: Remove check provides architecture.(Bug: 222531)
  * fix: Detect Provides/Or dependencies error.(Issue: #212307)(Influence: ProvidesDepends OrDepends)
  * fix: Print useless log after install failed.(Bug: 225161)
  * fix: or/provides depends error when first pkg fails.(Influence: ProvidesDepends)
  * fix: not responding to template settings input.(Influence: Templates)
  * fix: Optimize virtual pkg install strategy.(Bug: 229757)(Influence: VirtualPackage)

 -- renbin <renbin@uniontech.com>  Wed, 06 Dec 2023 13:22:46 +0800

deepin-deb-installer (6.0.14) unstable; urgency=medium

  * feat: Add application installation hierarchical verify policy.(Influence: Hierarchical)
  * fix: Change the way packages are checked for local path.(Influence: PackageVerify)
  * fix: Selecting multiple packages and pressing the Enter key cannot open the app.(Bug: 199167)(Influence: UI)
  * chore: Update translation settings and translation files.(Influence: Translation)
  * test: Add hierarchical control UT.(Influence: UT)
  * feat: Add hierarchical setting prompt.(Task: 28999)(Influence: Hierarchical)
  * chore: Add hierarchical setting prompt translation.(Task: 28999)(Influence: Translation)
  * test: Add hierarchical notify unit test case.(Influence: UnitTest)
  * fix: Use Event() update palette.(Influence: UpdatePalette)
  * fix: Remove package will remove "breaks" reverse depends.(Bug: 208617)(Influence: UninstallPcakge)
  * fix: Read QLatin1String returned from QApt may be freed.(Influence: CheckConflict)
  * fix: Wrong architecture used while install wine package.(Bug: 205805)(Influence: WineDepends)
  * fix: Jump to develop mode page instand of common info page.(Bug: 209873)(Influence: DevelopMode)
  * fix: Dialog text disappear when using large font size.(Bug: 201611)(Influence: DialogText)
  * fix: UI diff for single-page and multi-page.(Bug: 193971)(Influence: UI)
  * fix: Adjust layout spacing and margins.(Bug: 193969, 193153, 193205, 157603)(Influence: UI)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 31 Jul 2023 10:13:04 +0800

deepin-deb-installer (6.0.10) unstable; urgency=medium

  * fix: 修复libqapt包名带后缀无法准确区分版本的问题(Bug: 195557)(Influence: 虚包安装依赖)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 12 Apr 2023 12:27:31 +0800

deepin-deb-installer (6.0.9) unstable; urgency=medium

  * fix: 移除安装依赖 deepin-elf-verify(Bug: 195557)(Influence: 安装依赖)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 12 Apr 2023 09:52:04 +0800

deepin-deb-installer (6.0.8) unstable; urgency=medium

  * fix: 移除对 deepin-elf-sign-tool 的强依赖(Influence: 安装依赖)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 07 Apr 2023 15:59:52 +0800

deepin-deb-installer (6.0.5) unstable; urgency=medium

  * Update version

 -- wangzhengyang <wangzhengyang@uniontech.com>  Thu, 30 Mar 2023 17:19:43 +0800

deepin-deb-installer (6.0.4) unstable; urgency=medium

  * Update version

 -- wangzhengyang <wangzhengyang@uniontech.com>  Fri, 10 Mar 2023 10:59:41 +0800

deepin-deb-installer (6.0.3) unstable; urgency=medium

  * Add check for wine depend install

 -- wangzhengyang <wangzhengyang@uniontech.com>  Tue, 21 Feb 2023 13:38:35 +0800

deepin-deb-installer (6.0.1) unstable; urgency=medium

  * Merge version to 6.0.1
  * Add DDIM routine

 -- wangzhengyang <wangzhengyang@uniontech.com>  Thu, 14 Feb 2023 15:07:35 +0800
