## deepin-deb-installer 6.5.0

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -137,6 +137,8 @@
     ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/process/*.cpp
     ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/view/pages/*.cpp
     ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/view/widgets/*.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/uab/*.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/compatible/*.cpp
     )
 FILE(GLOB allTestSource
   src/*.cpp
@@ -145,6 +147,7 @@
   src/utils/*.cpp
   src/view/pages/*.cpp
   src/view/widgets/*.cpp
+  src/uab/*.cpp
 )
 include_directories(src)
 include_directories( ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/)
