=== debian/control ===
--- 
+++ 
@@ -8,7 +8,12 @@
 
 Package: deepin-deb-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt3-runtime, libqapt3
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+ libqapt3-runtime, 
+ libqapt3, 
+# deepin-app-store-runtime is available in the community edition.
+ deepin-elf-verify | deepin-app-store-runtime, 
+ deepin-elf-sign-tool | deepin-app-store-runtime
 Description: Package Installer helps users install and remove local packages.
  Package Installer is an easy-to-use .deb package management tool 
  with a simple interface for users to quickly install customized applications
