=== src/deepin-deb-installer-dev/CMakeLists.txt ===
--- 
+++ 
@@ -18,16 +18,21 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Concurrent REQUIRED)
-find_package(Qt5DBus REQUIRED)
+
+set(qt_required_components Core DBus Concurrent)
+
+if (QT_DESIRED_VERSION MATCHES 6)
+    list(APPEND qt_required_components Core5Compat)
+endif()
+
+find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
 
 set(LINK_LIBS
-    Qt5::Core
-    Qt5::DBus
-    QApt
-    Qt5::Concurrent
+    Qt${QT_DESIRED_VERSION}::Core
+    Qt${QT_DESIRED_VERSION}::DBus
+    Qt${QT_DESIRED_VERSION}::Concurrent
 )
+
 include_directories(${CMAKE_CURRENT_LIST_DIR})
 file(GLOB_RECURSE APP_SRCS
     ${CMAKE_CURRENT_LIST_DIR}/*.cpp
@@ -46,10 +51,9 @@
 
 # Find the library
 target_link_libraries(${APP_BIN_NAME}
-    Qt5::Core
-    Qt5::DBus
-    QApt
-    Qt5::Concurrent
+    PRIVATE
+    ${LINK_LIBS}
+    ${QAPT_LIB}
 )
 
 set(CMAKE_INSTALL_PREFIX /usr)
