=== debian/changelog ===
deepin-deb-installer (6.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Update build-dep accordingly.
  * debian/patches: Dropped.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 20:04:51 -0500

deepin-deb-installer (5.12.4-3) unstable; urgency=medium

  * Add patch to use cxx17. (Closes: #1090206)

 -- Arun Kumar Pariyar <arun@debian.org>  Sat, 28 Dec 2024 18:26:33 +0545
