=== debian/control ===
Source: deepin-deb-installer
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
 Clay Stan <claystan97@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
 Nisha Pariyar <nishapariyar48@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 deepin-gettext-tools,
 libdtkcore-dev (>= 5.7.6),
 libdtkwidget-dev (>= 5.7.6),
 libgtest-dev,
 libpolkit-qt5-1-dev,
 libqapt-dev,
 libqt5svg5-dev,
 pkgconf,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/deepin-deb-installer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer

Package: deepin-deb-installer
Architecture: any
Depends:
 libqapt3-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Package Manager
 Deepin Package Manager is a management tool for deb package, and is developed
 for users to easily install customized applications that are not categorized
 in Deepin Store. With an easy-to-use interface as well as functions like batch
 installation, version detection and auto-completion of dependencies, you can
 quickly get the software installed on deepin once you get the right deb
 package.
 .
 This package is part of DDE (Deepin Desktop Environment).
