=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 5

include /usr/share/dpkg/default.mk


%:
	dh $@ --buildsystem=cmake --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM)

execute_after_auto_clean:
	find translations -type f -name *.qm -delete
