## deepin-deb-installer 6.5.18

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -151,6 +151,7 @@
     src/view/pages/*.cpp
     src/view/widgets/*.cpp
     src/uab/*.cpp
+    src/compatible/*.cpp
 )
 include_directories(src)
 include_directories(${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/)
