=== debian/changelog ===
deepin-deb-installer (6.5.18) unstable; urgency=medium

  *  Update version to 6.5.18.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 08 May 2025 19:33:23 +0800

deepin-deb-installer (6.5.17) unstable; urgency=medium

  * fix: memory leak (#328)(Bug: 311727)

 -- renbin <renbin@uniontech.com>  Tue, 29 Apr 2025 17:48:33 +0800

deepin-deb-installer (6.5.16) unstable; urgency=medium

  * fix: Remove outdated mimetype "application-x-uab"
  * fix: Add parent to QStandardItemModel
  * fix: Enhance remote file detection(Bug: 313783)

 -- renbin <renbin@uniontech.com>  Thu, 24 Apr 2025 17:14:11 +0800

deepin-deb-installer (6.5.15) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 09:39:21 +0800

deepin-deb-installer (6.5.14) unstable; urgency=medium

  * chore: update translations
  * fix: support url(Bug: 312003)
  * fix: Fix dependency removal in graph(Bug: 311897)

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 16:06:15 +0800

deepin-deb-installer (6.5.13) unstable; urgency=medium

  * chore: update desktop file
  * feat: adapt new black list config file path(Task: 374685)

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:44:58 +0800

deepin-deb-installer (6.5.12) unstable; urgency=medium

  * fix: wrong linked package name(Bug: 309051)
  * fix: optimize symbolic link file naming logic(Bug: 309051)

 -- renbin <renbin@uniontech.com>  Thu, 27 Mar 2025 16:56:59 +0800

deepin-deb-installer (6.5.11) unstable; urgency=medium

  * i18n: Updates for project Deepin Package Installer (#306)
  * fix: remove duplicate package status detections.(Bug: 307921)
  * [skip CI] Translate deepin-deb-installer.ts in ja
  * fix: remove unnecessary check(Bug: 307705)
  * fix: skip first package check if cached.(Bug: 307705)

 -- renbin <renbin@uniontech.com>  Thu, 20 Mar 2025 19:03:46 +0800

deepin-deb-installer (6.5.10) unstable; urgency=medium

  * fix: can not downgrades(Bug: 305705)
  * fix: get rootfs list incorrect(Bug: 306523)
  * chore: update translations.(Bug: 306531)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:04:14 +0800

deepin-deb-installer (6.5.9) unstable; urgency=medium

  * feat: support uab mimetype

 -- renbin <renbin@uniontech.com>  Fri, 28 Feb 2025 14:26:36 +0800

deepin-deb-installer (6.5.8) unstable; urgency=medium

  * i18n: Updates for project Deepin Package Installer (#298)
  * fix: app hangs when install uab without linglong(Bug: 292077)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:13:38 +0800

deepin-deb-installer (6.5.7) unstable; urgency=medium

  * fix: init rootfs first

 -- renbin <renbin@uniontech.com>  Thu, 20 Feb 2025 20:50:21 +0800

deepin-deb-installer (6.5.6) unstable; urgency=medium

  * fix: no install log output(Bug: 303125)
  * feat: Add app compatibility check and enhance compatible mode

 -- renbin <renbin@uniontech.com>  Thu, 20 Feb 2025 19:36:26 +0800

deepin-deb-installer (6.5.5) unstable; urgency=medium

  * chore: v6.5.5 release.
  * fix: Update qapt version check.
  * feat: Enable support Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-deb-installer (6.5.4) unstable; urgency=medium

  * feat: Enable support Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Fri, 3 Jan 2025 16:27:05 +0800

deepin-deb-installer (6.5.3) unstable; urgency=medium

  * fix: assume yes in immutable install(Bug: 291783)(Influence: immutable)
  * fix: get uab meta info failed(Bug: 292129)(Influence: uab-package)
  * fix: blocked when uninstall(Bug: 291783)
  * fix: change tips color when theme changed(Bug: 292139)(Influence: UI)
  * feat: update immutable config

 -- renbin <renbin@uniontech.com>  Sat, 07 Dec 2024 11:56:09 +0800

deepin-deb-installer (6.5.2) unstable; urgency=medium

  * feat: uab installation add authentication(Task: 36033)(Influence: uab-package)
  * chore: add comments
  * chore: format cmakelists.txt
  * fix: uab use absolute path(Influence: uab-pacakge)

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 13:16:30 +0800

deepin-deb-installer (6.5.1) unstable; urgency=medium

  * feat: temporarily disable compatibility mode
  * feat: Add immutable system support(Influence: immutable)
  * fix: enable keep auth / add install check(Influence: immutable)

 -- renbin <renbin@uniontech.com>  Fri, 15 Nov 2024 13:18:28 +0800
