## deepin-deb-installer 6.5.23

=== debian/changelog ===
deepin-deb-installer (6.5.23) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Thu, 26 Jun 2025 14:02:22 +0800

deepin-deb-installer (6.5.22) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 16:27:12 +0800

deepin-deb-installer (6.5.21) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Mon, 23 Jun 2025 13:40:31 +0800

deepin-deb-installer (6.5.20) unstable; urgency=medium

  * Add compiler flags. 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 18 Jun 2025 10:47:29 +0800

deepin-deb-installer (6.5.19) unstable; urgency=medium

  * Update version to 6.5.19.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 17 Jun 2025 17:35:26 +0800
