## deepin-deb-installer 6.5.27

=== debian/changelog ===
deepin-deb-installer (6.5.27) unstable; urgency=medium

  * feat: Update translations for Lao locale (#350)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 18:01:51 +0800

deepin-deb-installer (6.5.26) unstable; urgency=medium

  * Update version to 6.5.26. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 17:46:18 +0800
